From 4717089b68c386446be240f463f2f13e7024468b Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Mon, 22 Oct 2018 10:35:10 +0200
Subject: [PATCH] libkworkspace: Allow standalone build

---
 CMakeLists.txt               |  6 +++-
 1 file changed, 5 insertions(+), 1 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 67f82cfb7..88a8c09b4 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -73,6 +73,7 @@ set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
 
 find_package(KF5TextEditor)
 find_package(KWinDBusInterface CONFIG REQUIRED)
+find_package(LibKWorkspace 5.21.5)
 
 find_package(KF5Screen CONFIG REQUIRED)
 find_package(KScreenLocker 5.13.80 REQUIRED)
@@ -214,7 +215,10 @@ query_qmake(QtBinariesDir QT_INSTALL_BINS)
 option(PLASMA_WAYLAND_DEFAULT_SESSION "Use Wayland session by default for Plasma" FALSE)
 
 add_subdirectory(doc)
-add_subdirectory(libkworkspace)
+if(NOT LibKWorkspace_FOUND)
+    message(STATUS "System LibKWorkspace not found, using bundled.")
+    add_subdirectory(libkworkspace)
+endif()
 add_subdirectory(libdbusmenuqt)
 add_subdirectory(appmenu)
 
